Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class HierarchicalParentSourceExpression

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.ExternalSourceExpression
                  |
                  +--oracle.AWXML.HierarchicalParentSourceExpression

public class HierarchicalParentSourceExpression
extends ExternalSourceExpression

An `ExternalSourceExpression` that maps a relational column of child values to a column of parent values in a hierarchy of a dimension. A `HierarchicalParentSourceExpression` is owned by a `DimensionMapGroup`.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`HierarchicalParentSourceExpression(BaseObject input)` Creates a `HierarchicalParentSourceExpression` for the specified `DimensionMapGroup`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Changes the textual attributes of the `HierarchicalParentSourceExpression`, such as its short and long names, in the analytic workspace to those currently specified by the `HierarchicalParentSourceExpression`.
`java.lang.String` | `Create(AWConnection connection)` Creates a `HierarchicalParentSourceExpression` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `HierarchicalParentSourceExpression` in the current analytic workspace of the specified database connection.
`Hierarchy` | `getHierarchy()` Gets the `Hierarchy` that is the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.
`Level` | `getLevel()` Gets the `Level` that is the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.
`java.lang.String` | `getParentLevelCol()` Gets the name of the column that has the values that are the parents of the values of the current `Level` in the `Hierarchy`.
`void` | `setHierarchy(Hierarchy input)` Specifies a `Hierarchy` as the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.
`void` | `setLevel(Level input)` Specifies a `Level` as the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects that it owns.
`void` | `setParentLevelCol(java.lang.String input)` Specifies a column as the parent of the current `Level` in the `Hierarchy`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `HierarchicalParentSourceExpression`.

Methods inherited from class oracle.AWXML.ExternalSourceExpression
`addSourceColumn, CreateSourceColumn, getSourceColumns, getTargetObject, removeSourceColumn, setTargetObject`

Methods inherited from class oracle.AWXML.BaseObject
`CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalParentSourceExpression

    public HierarchicalParentSourceExpression(BaseObject input)

  Creates a `HierarchicalParentSourceExpression` for the specified `DimensionMapGroup`.
  Parameters:
    `input` - The `DimensionMapGroup` that owns the `HierarchicalParentSourceExpression`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `HierarchicalParentSourceExpression`.
  Overrides:
    WriteToXML in class ExternalSourceExpression
  Returns:
    An XML `String` that represents the `HierarchicalParentSourceExpression`.

### setLevel

    public void setLevel(Level input)

  Specifies a `Level` as the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects that it owns.
  Parameters:
    `input` - The `Level` to which you want to map the `SourceColumn` objects of the `HierarchicalParentSourceExpression`.

### getLevel

    public Level getLevel()

  Gets the `Level` that is the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.
  Returns:
    The `Level` to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.

### setHierarchy

    public void setHierarchy(Hierarchy input)

  Specifies a `Hierarchy` as the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.
  Parameters:
    `input` - The `Hierarchy` to which you want to map the `SourceColumn` objects of the `HierarchicalParentSourceExpression`.

### getHierarchy

    public Hierarchy getHierarchy()

  Gets the `Hierarchy` that is the target object to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.
  Returns:
    The `Hierarchy` to which the `HierarchicalParentSourceExpression` maps the `SourceColumn` objects it owns.

### setParentLevelCol

    public void setParentLevelCol(java.lang.String input)

  Specifies a column as the parent of the current `Level` in the `Hierarchy`.
  Parameters:
    `input` - A `String` that contains the name of the column that has the values that are the parents of the current level.

### getParentLevelCol

    public java.lang.String getParentLevelCol()

  Gets the name of the column that has the values that are the parents of the values of the current `Level` in the `Hierarchy`.
  Returns:
    A `String` that contains the name of the parent level.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `HierarchicalParentSourceExpression` in the current analytic workspace of the specified database connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method creates the `HierarchicalParentSourceExpression`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Changes the textual attributes of the `HierarchicalParentSourceExpression`, such as its short and long names, in the analytic workspace to those currently specified by the `HierarchicalParentSourceExpression`.
  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method makes the changes.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `HierarchicalParentSourceExpression` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method deletes the `HierarchicalParentSourceExpression`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.